<?php
/**
 * @version		$Id: modal.php 20196 2011-01-09 02:40:25Z ian $
 * @package		Joomla.Administrator
 * @subpackage	com_content
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access

defined('_JEXEC') or die;
JHTML::_('behavior.tooltip');

$function	= JRequest::getCmd('function', 'jFinishLink');
$name 		= JRequest::getVar('name');

?>
<img style="float:right;" src="<?php echo JURI::root();?>administrator/components/com_mapycz/assets/css/mapycz48.png" />
<h1><?php echo JText::_('MAPYCZ_MARK_LINK_LEBEL')?></h1>
<?php echo $this->error;?>
<br/>
<br/>

<form action="<?php echo JRoute::_('index.php?option=com_mapycz&amp;task=markerlinks&amp;tmpl=component&name='.$name.'&function='.$function);?>" method="post" name="adminForm" id="adminForm">
	
	<table width="100%" border="0">
		<tr>
			<td>
				<label class="hasTip" title="<?php echo JText::_('MAPYCZ_MARK_LINK_TEXT_DESC')?>" for="text"><?php echo JText::_('MAPYCZ_MARK_LINK_TEXT')?><span class="star">&nbsp;*</span> :</label>
			</td>
			<td>
				<input id="mapycz_text" name="text" value="text" />
			</td>
		</tr>
		<tr>
			<td>
				<label class="hasTip" title="<?php echo JText::_('MAPYCZ_MARK_LINK_MAP_DESC')?>" for="text"><?php echo JText::_('MAPYCZ_MARK_LINK_MAP')?><span class="star">&nbsp;*</span> :</label>
			</td>
			<td>
				<select id="mapycz_map" name="map" onKeyUp="mapycz_reloadMarkers(this.value);" onChange="mapycz_reloadMarkers(this.value);">
					<?php $first=null;
					foreach ($this->model->getAllMaps() as $i => $item) :
						if($first==null)
							$first=$item->id;?>
						<option value="<?php echo $item->id?>"><?php echo $item->id?> - <?php echo $this->escape($item->name)?></option>
					<?php endforeach;?>
				</select>
			</td>
		</tr>
		<tr>
			<td>
				<label class="hasTip" title="<?php echo JText::_('MAPYCZ_MARK_LINK_MERKER_DESC')?>" for="text"><?php echo JText::_('MAPYCZ_MARK_LINK_MARKER')?><span class="star">&nbsp;*</span> :</label>
			</td>
			<td id="mapycz_marker_box">
				&nbsp;
			</td>
		</tr>
		<tr>
			<td>
				<label class="hasTip" title="<?php echo JText::_('MAPYCZ_MARK_LINK_ZOOM_DESC')?>" for="text"><?php echo JText::_('MAPYCZ_MARK_LINK_ZOOM')?> :</label>
			</td>
			<td>
				<select id="mapycz_zoom" name="zoom">
					<option value="" selected="true"><?php echo JText::_('MAPYCZ_MARK_LINK_ZOOM_DEFAULT')?></option>
					<option value="1">1 - <?php echo JText::_('MAPYCZ_MARK_LINK_ZOOM_MAX')?></option>
					<option value="2">2</option>
					<option value="3">3</option>
					<option value="4">4</option>
					<option value="5">5</option>
					<option value="6">6</option>
					<option value="7">7</option>
					<option value="8">8</option>
					<option value="9">9</option>
					<option value="10">10</option>
					<option value="11">11</option>
					<option value="12">12</option>
					<option value="13">13</option>
					<option value="14">14</option>
					<option value="15">15</option>
					<option value="16">16</option>
					<option value="17">17</option>
					<option value="18">18 - <?php echo JText::_('MAPYCZ_MARK_LINK_ZOOM_MIN')?></option>
				</select> <?php echo JText::_('MAPYCZ_MARK_LINK_OPTIONAL')?>
			</td>
		</tr>
		<tr>
			<td>
				<label class="hasTip" title="<?php echo JText::_('MAPYCZ_MARK_LINK_LAYER_DESC')?>" for="text"><?php echo JText::_('MAPYCZ_MARK_LINK_LAYER')?> :</label>
			</td>
			<td>
				<select id="mapycz_layer" name="layer">
					<option value="" selected="true"><?php echo JText::_('MAPYCZ_MARK_LINK_LAYER_DEFAULT')?></option>
					<option value="base">základní</option>
					<option value="ophto">letecká</option>
					<option value="ophto0203">letecká 2003</option>
					<option value="ophto0406">letecká 2006</option>
					<option value="turist">turistická</option>
					<option value="historic">historická</option>
				</select> <?php echo JText::_('MAPYCZ_MARK_LINK_OPTIONAL')?>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="right"><button type="submit"><?php echo JText::_('JAPPLY'); ?></button></td>
		</tr>
	</table>
	
	<?php echo JHtml::_('form.token'); ?>
	
</form>

<script>
	function mapycz_reloadMarkers(mapId){

		if(!mapId || mapId=="")
			return;

		new Request({
		    url: 'index.php?option=com_mapycz&task=markersSelectbox&tmpl=component&mapId='+mapId,
		    method: 'get',
		    onSuccess: function(responseText){
		    	var tempEl = new Element('div');
		    	tempEl.innerHTML = responseText;
		    	$('mapycz_marker_box').innerHTML = "";
		    	var select = tempEl.getElement('select');

		    	if(select)
		    		select.inject($('mapycz_marker_box'));
		    	else{
			    	var tempEr = new Element('div',{style: 'color:#cd061e;'});
			    	tempEr.innerHTML = '<?php echo JText::_('MAPYCZ_MARK_LINK_MARKER_DISABLED')?>';
			    	tempEr.inject($('mapycz_marker_box'));
		    	}
		    },
		    onFailure: function(){
		    	var tempEr = new Element('div',{style: 'color:#cd061e;'});
		    	tempEr.innerHTML = '<?php echo JText::_('MAPYCZ_MARK_LINK_MARKER_ERROR')?>';
		    	tempEr.inject($('mapycz_marker_box'));
		    }
		}).send();
		
	}

	<?php if($first!=null){?>
		mapycz_reloadMarkers(<?php echo $first?>);
	<?php }?>
</script>
